%define req_libgnome_version 2.0.2
%define req_libgtkhtml_version 2.1.2

Summary: GNOME 2 help browser
Name: yelp
Version: 2.2.0
Release: 2mdk
Source0: ftp://ftp.gnome.org/pub/GNOME/pre-gnome2/sources/%{name}/%{name}-%{version}.tar.bz2
# (fc) 2.2.0-2mdk don't run yelp-pregenerate in drakX
Patch0:  yelp-2.2.0-drakx.patch.bz2
URL: http://www.gnome.org/
License: GPL
Group: Graphical desktop/GNOME
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
Requires: docbook-dtd31-sgml
Requires: libgnome2 >= %{req_libgnome_version}
Requires: gnome-desktop
BuildRequires: gettext
BuildRequires: libglade2.0-devel
BuildRequires: libgtkhtml2_0-devel >= %{req_libgtkhtml_version}
BuildRequires: libgnome2-devel >= %{req_libgnome_version}
BuildRequires: libgnomeui2-devel
BuildRequires: libxslt-devel

%description
Yelp is help browser for GNOME 2.0. The name Yelp
was suggested by Daniel Lundin. Yelp is pronounced the same as the
swedish word for 'help'.

%prep
%setup -q
%patch0 -p1 -b .drakx

%build

%configure2_5x

%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std

mkdir -p $RPM_BUILD_ROOT%{_menudir}

cat << EOF >> $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): icon="%{_datadir}/pixmaps/gnome-help.png" title="Help" longtitle="Get help with GNOME" needs="gnome" section="Documentation" command="%{_bindir}/yelp" startup_notify="true"
EOF

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}
/usr/bin/yelp-pregenerate -a > /dev/null 2>/dev/null

%postun
%{clean_menus}

%files -f %{name}.lang
%defattr(-,root,root)
%doc README TODO AUTHORS ChangeLog NEWS
%{_bindir}/*
%{_libexecdir}/yelp-db2html
%{_libdir}/bonobo/servers/*
%{_datadir}/applications/*
%{_datadir}/images/*
%{_datadir}/yelp
%{_datadir}/sgml/docbook/yelp
%{_menudir}/*

%changelog
* Wed Jan 22 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.0-2mdk
- Patch0: don't run yelp-pregenerate in drakX

* Tue Jan 21 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.0-1mdk
- Release 2.2.0

* Thu Jan 16 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.5-2mdk
- Rebuild against latest openssl
- Generate cache at install time

* Tue Jan 14 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.5-1mdk
- Release 2.1.5

* Tue Jan  7 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.4-1mdk
- Release 2.1.4

* Sat Dec 28 2002 Stefan van der Eijk <stefan@eijk.nu> 2.1.3-2mdk
- BuildRequires: libglade2.0-devel libjpeg-devel

* Tue Dec 17 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.3-1mdk
- Release 2.1.3

* Tue Nov 26 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.2-1mdk
- Release 2.1.2

* Tue Oct 29 2002 Stefan van der Eijk <stefan@eijk.nu> 1.0.6-2mdk
- BuildRequires

* Fri Oct 11 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.6-1mdk
- Release 1.0.6

* Mon Aug 19 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.3-1mdk
- Release 1.0.3

* Fri Aug  9 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.2-2mdk
- Add menu entry

* Thu Aug  8 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.2-1mdk
- Release 1.0.2

* Wed Jul 24 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1-2mdk
- Recompiled against gail 0.17

* Wed Jun 19 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1-1mdk
- Release 1.0.1

* Wed Jun 12 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0-2mdk
- Recompiled against gail 0.16

* Mon Jun 10 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0-1mdk
- Release 1.0

* Wed Jun  5 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.10-1mdk
- Release 0.10

* Mon May  6 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7-1mdk
- Release 0.7

* Mon Apr 29 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6.1-1mdk
- Release 0.6.1
- Remove patch0 (merged upstream)

* Fri Apr 19 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6-3mdk
- Update patch0 with official fix

* Wed Apr 17 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6-2mdk
- Patch0: fix include of gnome customization xsl file

* Wed Apr 17 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6-1mdk
- Release 0.6

* Wed Apr 10 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5-1mdk
- Initial Mdk package


# end of file
